> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Message Reaction

> React to a specific message with an emoji.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /chats/{chat_id}/messages/{message_id}/reactions
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /chats/{chat_id}/messages/{message_id}/reactions:
    post:
      tags:
        - Chats Messages
      summary: Add Message Reaction
      description: React to a specific message with an emoji.
      parameters:
        - schema:
            type: string
          required: true
          description: Chat ID
          name: chat_id
          in: path
        - schema:
            type: string
          required: true
          description: Message ID
          name: message_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetChatMessageReactionSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/SetChatMessageReactionSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: 'null'
components:
  schemas:
    SetChatMessageReactionSchema:
      type: object
      properties:
        emoji:
          type: string
          format: emoji
      required:
        - emoji
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````